import { html as h } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, d = Object.getOwnPropertyDescriptor, s = (n, t, c, r) => {
  for (var e = r > 1 ? void 0 : r ? d(t, c) : t, i = n.length - 1, l; i >= 0; i--)
    (l = n[i]) && (e = (r ? l(t, c, e) : l(e)) || e);
  return r && e && v(t, c, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--documentEditLarge", this.class = "c-pieIcon c-pieIcon--documentEditLarge", this.name = "IconDocumentEditLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" class="c-pieIcon c-pieIcon--documentEditLarge"><path fill-rule="evenodd" d="M17.62 3.31c1.15 0 2.29.23 3.35.67a8.54 8.54 0 0 1 2.84 1.9c.81.81 1.46 1.77 1.9 2.83.43 1.04.66 2.23.67 3.35h-8.76v-7H5.38v21.88h7.59v1.75H3.62V3.31h14Zm1.76 7h5.02a7.11 7.11 0 0 0-1.83-3.19 7.166 7.166 0 0 0-3.19-1.83v5.02Z" clip-rule="evenodd"></path><path fill-rule="evenodd" d="M26.04 14.4a1.728 1.728 0 0 1 1.24.51l1.94 1.94h-.02v.03c.33.33.51.77.51 1.23 0 .46-.18.9-.51 1.23l-8.24 8.27c-.29.28-.66.47-1.07.52l-4.36.48.48-4.36c.05-.4.23-.78.52-1.07l8.27-8.27c.17-.16.36-.29.57-.38.21-.08.44-.13.67-.13Zm-8.26 9.99-.25 2.19 2.2-.25 5.94-5.92-1.94-1.94-5.95 5.92Zm7.18-7.15 1.94 1.94 1.06-1.06-1.95-1.94-1.05 1.06Z" clip-rule="evenodd"></path><path d="M16.75 19.94v1.75h-7v-1.75h7Zm3.5-4.38v1.75H9.75v-1.75h10.5Zm-6.13-4.37v1.75H9.75v-1.75h4.37Z"></path></svg>`;
  }
};
s([
  p({ type: String, reflect: !0 })
], o.prototype, "size", 2);
s([
  p({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = s([
  m("icon-document-edit-large")
], o);
export {
  o as IconDocumentEditLarge
};
